<?php

class actionScmobileappApiScmobileappGetcomments extends cmsAction {

    /**
     * Блокировка прямого вызова экшена
     * обязательное свойство
     * @var boolean
     */
    public $lock_explicit_call = true;
    /**
     * Результат запроса
     * обязательное свойство
     * @var array
     */
    public $result;
    /**
     * Флаг, обязующий проверять параметр sig запроса
     * sig привязан к домену сайта и к ip адресу посетителя
     * @var boolean
     */
    public $check_sig = false;

    /**
     * Возможные параметры запроса
     * с правилами валидации
     * Если запрос имеет параметры, необходимо описать их здесь
     * Правила валидации параметров задаются по аналогии с полями форм
     * @var array
     */
    public $request_params = array(
        'user_id' => array(
            'default' => 0,
            'rules'   => array(
                array('digits')
            )
        ),
        'contact_id' => array(
            'default' => 0,
            'rules'   => array(
                array('digits')
            )
        ),

    );
    public function validateApiRequest() {
        return false;
    }

    public function run(){

        $target_controller = $this->request->get('target_controller');
        $target_subject = $this->request->get('target_subject');
        $target_id = $this->request->get('target_id');
        $page = $this->request->get('page');
        $perpage = $this->request->get('perpage');

        $res = $this->model->getComments($target_controller, $target_subject, $target_id,$page, $perpage);
        $arr = $res['items'];
        $arr2 = array();

        foreach ($arr as $key=>$item) {
            $arr[$key]['user_avatar'] = href_to_abs(html_avatar_image_src($arr[$key]['user_avatar'], 'normal'));
            $arr[$key]['date_diff'] = string_date_age_max($arr[$key]['date_pub'], true);

            $arr2[] =$arr[$key];

        }

        $this->result['count'] = $res['total'];
        $this->result['items'] = $arr2;

    }

}
