<?php

class actionScmobileappApiScmobileappGetuser extends cmsAction {

    /**
     * Блокировка прямого вызова экшена
     * обязательное свойство
     * @var boolean
     */
    public $lock_explicit_call = true;
    /**
     * Результат запроса
     * обязательное свойство
     * @var array
     */
    public $result;
    /**
     * Флаг, обязующий проверять параметр sig запроса
     * sig привязан к домену сайта и к ip адресу посетителя
     * @var boolean
     */
    public $check_sig = false;

    /**
     * Возможные параметры запроса
     * с правилами валидации
     * Если запрос имеет параметры, необходимо описать их здесь
     * Правила валидации параметров задаются по аналогии с полями форм
     * @var array
     */
    public $request_params = array(
        'userid' => array(
            'default' => 0,
            'rules'   => array(
                array('digits')
            )
        ),

    );

    public function validateApiRequest() {
        return false;
    }

    public function run(){

        $users = cmsCore::getModel('users');
        $userid = $this->request->get('userid');
        $widgets = $this->model->getWidgets('users');


        $user = $users->getUser($userid);
        $group = $users->getGroup($user['groups'][0]);
        $user['date']   = string_date_age_max($user['date_log']);
        $user['group']  = $group['title'];
        $user['avatar'] = href_to_abs(html_avatar_image_src($user['avatar'], 'normal'));
        $user['topwidgets'] = $widgets['top'];
        $user['bottomwidgets'] = $widgets['bottom'];

        $this->result = $user;


    }

}
