<?php

class actionScmobileappApiScmobileappMenu extends cmsAction{

    /**
     * Блокировка прямого вызова экшена
     * обязательное свойство
     * @var boolean
     */
    public $lock_explicit_call = true;
    /**
     * Результат запроса
     * обязательное свойство
     * @var array
     */
    public $result;
    /**
     * Массив названий ячеек
     * которые нужно удалить из результирующего массива
     * необязательное свойство
     * @var array
     */
    public $unset_fields;
    /**
     * Флаг, обязующий проверять параметр sig запроса
     * sig привязан к домену сайта и к ip адресу посетителя
     * @var boolean
     */
    public $check_sig = false;
    /**
     * Возможные параметры запроса
     * с правилами валидации
     * Если запрос имеет параметры, необходимо описать их здесь
     * Правила валидации параметров задаются по аналогии с полями форм
     * @var array
     */
    public $request_params = array();
    /**
     * Необязательный метод проверки запроса
     * В нём выполняются некий действия по валидации
     * возвращает либо false в случае успешной проверки
     * либо массив данных ошибки
     */
    public function validateApiRequest() { return false; }
    /**
     * Основной метод работы экшена
     * Его задача заполнить свойство $this->result
     */
    public function run(){
       $menu = cmsCore::getModel('menu');

        $options = cmsController::loadOptions('scmobileapp');

       $items = $menu->getMenuItems($options['menu_id']);

        foreach ($items as $key=>$item) {
            // если URL пункта меню содержит шаблон {controller:action}
            if (preg_match('/^{([a-z0-9]+):*([a-z0-9_]*)}$/i', $item['url'], $matches)){
                $items[$key]['controller'] =ucwords($matches[1]);
                $items[$key]['action'] =$matches[2];
            } else {
                $items[$key]['controller'] = ucwords($item['url']);
            }

       }

        $this->result = $items;
    }

}
