<?php

class actionScmobileappApiScmobileappSendmessage extends cmsAction {

    /**
     * Блокировка прямого вызова экшена
     * обязательное свойство
     * @var boolean
     */
    public $lock_explicit_call = true;
    /**
     * Результат запроса
     * обязательное свойство
     * @var array
     */
    public $result;
    /**
     * Флаг, обязующий проверять параметр sig запроса
     * sig привязан к домену сайта и к ip адресу посетителя
     * @var boolean
     */
    public $check_sig = false;

    /**
     * Возможные параметры запроса
     * с правилами валидации
     * Если запрос имеет параметры, необходимо описать их здесь
     * Правила валидации параметров задаются по аналогии с полями форм
     * @var array
     */
    public $request_params = array(
        'user_id' => array(
            'default' => 0,
            'rules'   => array(
                array('digits')
            )
        ),
        'contact_id' => array(
            'default' => 0,
            'rules'   => array(
                array('digits')
            )
        ),
        'content' => array(
            'default' => '',

        ),

    );
    public function validateApiRequest() {
        return false;
    }

    public function run(){

        $user_id    = $this->request->get('user_id');
        $contact_id = $this->request->get('contact_id');
        $content    = $this->request->get('content');

        $messages = cmsCore::getController('messages');

        $messages->setSender($user_id)->addRecipient($contact_id);
        $message_id = $messages->sendMessage($content);

        $this->result = $message_id;

    }

}
